using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace AjaxDestinations
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IPackagesService" in both code and config file together.
    [ServiceContract]
    public interface IPackagesService
    {
        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        List<String> Locations();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        List<DateTime?> TourDates(String location);
    }
}
